/*
 * ContourAnalyzer.h
 *
 *  Created on: Apr 22, 2018
 *      Author: Yunyang
 */

#ifndef DETECTION_SHAPE_CONTOURANALYZER_H_
#define DETECTION_SHAPE_CONTOURANALYZER_H_
#include <string>
#include <opencv2/opencv.hpp>

class ContourAnalyzer {
cv::Mat originFrame;
std::vector<cv::Mat> stepFrames{4};
std::vector<std::vector<cv::Point>> contours;
std::vector<std::vector<cv::Point>> prunedContours;

public:
	ContourAnalyzer();
	virtual ~ContourAnalyzer();

	cv::Scalar selectColor{0, 255, 0};
	cv::Scalar fontColor{0, 0, 255};

	int analyze();
	void setFrame(cv::Mat frame);
	void drawShapePositions(cv::Mat &frame);
	std::string contourToString(std::vector<cv::Point>);

	cv::Mat getDebugFrame(int step);
};

#endif /* DETECTION_SHAPE_CONTOURANALYZER_H_ */
